Bug 59318 - i81x direct rendering disabled by default
Summary: i81x direct rendering disabled by default
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-05 09:27 UTC by vvs
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 09:38:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
configuration file for XFree86 without XvMCSurfaces (3.62 KB, text/plain)
2002-02-06 06:22 UTC, vvs
no flags Details
log file for XFree86 without XvMCSurfaces (23.37 KB, text/plain)
2002-02-06 06:24 UTC, vvs
no flags Details
glxinfo output file for XFree86 without XvMCSurfaces (2.10 KB, text/plain)
2002-02-06 06:25 UTC, vvs
no flags Details
messages log file for XFree86 without XvMCSurfaces (13.04 KB, text/plain)
2002-02-06 06:26 UTC, vvs
no flags Details
logs diff file for XFree86 with XvMCSurfaces (5.35 KB, patch)
2002-02-06 06:27 UTC, vvs
no flags Details | Diff
logs diff of the second run for XFree86 without XvMCSurfaces (4.06 KB, patch)
2002-02-06 06:30 UTC, vvs
no flags Details | Diff

Description vvs 2002-02-05 09:27:49 UTC
Description of Problem:

Direct rendering of i815 Intel integrated graphics controller is disabled by
default until Xvideo motion compensation is turned on

Version-Release number of selected component (if applicable):

XFree86-4.2.0-4.0 on i815E

How Reproducible:

Always

Steps to Reproduce:
1. Make sure there is no XvMCSurfaces option in /etc/X11/XF86Config-4
2. Make sure that DRI is enabled by looking in /var/log/XFree86.0.log
3. Run xinit
4. Run glxinfo

Actual Results:

Look for "direct rendering: No" at the beginning of glxinfo output

Expected Results:

Should be "direct rendering: Yes"

Additional Information:
	
If you will add Option "XvMCSurfaces" "6" into the /etc/X11/XF86Config-4 then
all will work as expected

Comment 1 Mike A. Harris 2002-02-05 10:33:17 UTC
Please attach your config file, and an XFree86 log from both before
and after adding XvMCSurfaces to the config file.  I'd like to see
a comparison of what changes in the log output.

Please attach them using the link below.

Thanks.


Comment 2 vvs 2002-02-06 06:22:57 UTC
Created attachment 44657 [details]
configuration file for XFree86 without XvMCSurfaces

Comment 3 vvs 2002-02-06 06:24:03 UTC
Created attachment 44658 [details]
log file for XFree86 without XvMCSurfaces

Comment 4 vvs 2002-02-06 06:25:34 UTC
Created attachment 44659 [details]
glxinfo output file for XFree86 without XvMCSurfaces

Comment 5 vvs 2002-02-06 06:26:36 UTC
Created attachment 44660 [details]
messages log file for XFree86 without XvMCSurfaces

Comment 6 vvs 2002-02-06 06:27:54 UTC
Created attachment 44661 [details]
logs diff file for XFree86 with XvMCSurfaces

Comment 7 vvs 2002-02-06 06:30:09 UTC
Created attachment 44662 [details]
logs diff of the second run for XFree86 without XvMCSurfaces

Comment 8 Mike A. Harris 2002-02-06 07:37:56 UTC
I've put a patch for the i810 driver into rawhide build 4.2.0-6.23
which should solve the problem.  Thanks for reporting this bug.


Comment 9 Mike A. Harris 2002-02-06 07:56:44 UTC
Please test and report back if it works, so it can be closed as
fixed in rawhide.  Thanks.

Comment 10 vvs 2002-02-11 09:38:32 UTC
Yes, I confirm, that your patch in XFree86-4.2.0-6.24 works. Thanks.

Comment 11 Mike A. Harris 2002-02-11 11:25:17 UTC
Thanks, closing as RAWHIDE


Note You need to log in before you can comment on or make changes to this bug.